package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.GuestInfoRecord;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface GuestInfoRecordDAO {
	int insert(GuestInfoRecord entity);
	int update(GuestInfoRecord entity);
	int exist(String id);
	GuestInfoRecord get(String id);
	int delete(String id);
	List<GuestInfoRecord> list();
	GuestInfoRecord findByPersonId(long personId);
	List<GuestInfoRecord> search(Map<String, Object> searchParams, List<Sort> sortList);

    Map getScanNum(Map<String, Object> searchParams);

    GuestInfoRecord findByOpenId(String openId);
}